!-----------------------------------------------------------------------
! INCLUDE 'tracer.h'

      character*20  noms(nqmx)  ! name of the tracer
      real mmol(nqmx)           ! mole mass of tracer (g/mol-1) 
      real radius(nqmx)   ! dust and ice particle radius (m)
      real rho_q(nqmx)    ! tracer densities (kg.m-3)

      real varian      ! Characteristic variance of log-normal distribution
      real r3n_q     ! used to compute r0 from number and mass mixing ratio
      real rho_ch4_ice     ! ch4 ice density (kg.m-3)
      real rho_co_ice     ! co ice density (kg.m-3)
      real rho_n2       ! n2 ice density(kg.m-3)
      real ref_r0        ! for computing reff=ref_r0*r0 (in log.n. distribution)
      real lw_ch4        ! latent heat ch4 gaz -> solid
      real lw_co         ! latent heat co gaz -> solid
      real lw_n2         ! latent heat n2 gaz -> solid
      integer nmono      ! number of monomers
      
! tracer indexes: these are initialized in initracer and should be 0 if the
!                 corresponding tracer does not exist
      ! chemistry:
      integer :: igcm_co_gas
      integer :: igcm_n2
      integer :: igcm_ar
      integer :: igcm_ch4_gas ! methane gas
      ! other tracers
      integer :: igcm_ar_n2 ! for simulations using co2 +neutral gaz
      integer :: igcm_ch4_ice ! methane ice
      integer :: igcm_co_ice ! methane ice
      integer :: igcm_prec_haze 
      integer :: igcm_haze 
      integer :: igcm_haze10 
      integer :: igcm_haze30 
      integer :: igcm_haze50 
      integer :: igcm_haze100
      integer :: igcm_eddy1e6
      integer :: igcm_eddy1e7
      integer :: igcm_eddy5e7
      integer :: igcm_eddy1e8
      integer :: igcm_eddy5e8
 

      COMMON/tracer/radius,rho_q,mmol,                                  &
     & varian,r3n_q,rho_ch4_ice,rho_n2,ref_r0                           &
     & ,rho_co_ice,lw_ch4,lw_co, lw_n2, noms, nmono 

      COMMON/tracer2/                                                   &
     & igcm_n2,igcm_ar,igcm_ar_n2,igcm_co_gas,igcm_co_ice,              &
     & igcm_ch4_gas,igcm_ch4_ice,igcm_prec_haze,igcm_haze,igcm_haze10,  &
     & igcm_haze30,igcm_haze50,igcm_haze100,                            &
     & igcm_eddy1e6,igcm_eddy1e7,igcm_eddy5e7,igcm_eddy1e8,             &
     & igcm_eddy5e8

